/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: J2WDLSharedEndpointImpl.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

package com.sun.ts.tests.jaxws.mapping.j2wmapping.document.literal.bare;

import javax.xml.ws.WebServiceException;

import javax.jws.WebService;

@WebService(
    name="J2WDLSharedEndpoint",
    serviceName="J2WDLSharedService",
    targetNamespace="http://doclitservice.org/wsdl"
)
@javax.jws.soap.SOAPBinding(
    style=javax.jws.soap.SOAPBinding.Style.DOCUMENT,
    use=javax.jws.soap.SOAPBinding.Use.LITERAL,
    parameterStyle=javax.jws.soap.SOAPBinding.ParameterStyle.BARE
)
public class J2WDLSharedEndpointImpl {

    public void foo(javax.xml.ws.Holder<String> fooString) 
    {
    }

    public Bar bar(String barString) 
    {
	Bar bar = new Bar();
	bar.setBar(barString);
	return bar;
    }
}
